Create a metadata descriptor. Send the fields of the new row in JSON. data_type must be a known type. For an entity column, field_name cannot be the name of a built-in field. You must be an administrator.
POST
/data/metadata-descriptors
curl
curl -X POST "http://api.example.com/data/metadata-descriptors/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset"
}'
import requests
url = "http://api.example.com/data/metadata-descriptors/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"entity_type": "Asset"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"entity_type": "Asset",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}